## trunk?format=zip&rev=1966

=== CMakeLists.txt ===
###
# CMakeLists.txt for ASAP module
###

# minimum requirement for cmake version
cmake_minimum_required( VERSION 2.8 )

# Define compiler paths on OSX 10.5. This must be done before invoking project()
if( APPLE )
    if( EXISTS            /opt/casa/core2-apple-darwin8/3rd-party/bin/gfortran )
    set( SO dylib )
        set( CMAKE_Fortran_COMPILER /opt/casa/core2-apple-darwin8/3rd-party/bin/gfortran )
	set( CMAKE_CXX_COMPILER     /opt/casa/core2-apple-darwin8/3rd-party/bin/g++ )
    elseif( EXISTS        /opt/local/bin/gfortran )
        set( CMAKE_Fortran_COMPILER /opt/local/bin/gfortran )
    elseif( EXISTS        /opt/local/bin/gfortran-mp-4.4 )
        set( CMAKE_Fortran_COMPILER /opt/local/bin/gfortran-mp-4.4 )
	if( EXISTS /opt/local/bin/g++-mp-4.4 )
	    set( CMAKE_CXX_COMPILER /opt/local/bin/g++-mp-4.4 )
	endif()
    endif()
endif()

# project name is ASAP
project( ASAP )

# install directory
# set casaroot
# the regular expression means '../'
#  [^ ] Matches any character(s) not inside the brackets
#  +    Matches preceding pattern one or more times
#  ?    Matches preceding pattern zero or once only
#  $    Mathces at end of a line
string( REGEX REPLACE /[^/]+/?$ "" casaroot ${CMAKE_SOURCE_DIR} )
message( STATUS "casaroot = " ${casaroot} )

# modules
set( CMAKE_MODULE_PATH ${casaroot}/code/install )
include( config )
include( CASA )

# flags
set( DEFAULT_CXX_FLAGS
     "-pipe -Wall -Wextra -Wno-non-template-friend -Wcast-align -Wno-comment -O3" )
find_package( OpenMP )
if( OPENMP_FOUND )
   set( DEFAULT_CXX_FLAGS "${DEFAULT_CXX_FLAGS} ${OpenMP_CXX_FLAGS}" )
endif()

set( CASACORE_DEFINITIONS ${CASACORE_DEFINITIONS}
  -DCASA_USECASAPATH
  -DCASACORE_NEEDS_RETHROW
  -DAIPS_STDLIB
  -DAIPS_AUTO_STL
  -D_GNU_SOURCE )

if( CMAKE_SYSTEM_NAME STREQUAL Linux )
  set( CASACORE_DEFINITIONS ${CASACORE_DEFINITIONS}
    -D_FILE_OFFSET_BITS=64
    -D_LARGEFILE_SOURCE 
    )
endif()

add_definitions( ${CASACORE_DEFINITIONS} )

# environment dependent settings
message( STATUS "CMAKE_SYSTEM = " ${CMAKE_SYSTEM} )
if( APPLE )
   set( SO dylib )
   if( NOT arch )
      set( arch darwin )
   endif()
   if( CMAKE_SYSTEM MATCHES ^Darwin-10 )
      if( NOT archflag )
         if( EXISTS /opt/casa/darwin10-64b )
            set( archflag x86_64 )
         elseif( EXISTS /opt/casa/core2-apple-darwin10 )
            set( archflag i386 )
         else()
            set( archflag x86_64 )
         endif()
      endif()
      if( archflag STREQUAL x86_64 )
         add_definitions( -DAIPS_64B )
         set( casa_packages /opt/casa/darwin10-64b )
      else()
         set( casa_packages /opt/casa/core2-apple-darwin10 )
      endif()
      execute_process( COMMAND ${CMAKE_CXX_COMPILER} --version
                       COMMAND head -1
                       COMMAND perl -pe "s|.*?(\\d+\\.\\d+)\\.\\d+$|$1|"
                       OUTPUT_VARIABLE _cxx_version
                       OUTPUT_STRIP_TRAILING_WHITESPACE )
      if( NOT _cxx_version STREQUAL "4.4" )
         set( DEFAULT_CXX_FLAGS "${DEFAULT_CXX_FLAGS} -arch ${archflag}" )
      endif()
   elseif( CMAKE_SYSTEM MATCHES ^Darwin-9 )
      set( casa_packages /opt/casa/core2-apple-darwin8/3rd-party )
   endif()         
elseif( CMAKE_SYSTEM_NAME STREQUAL Linux )
   set( SO so )
   add_definitions( -DAIPS_LINUX )
   if( CMAKE_SYSTEM_PROCESSOR STREQUAL x86_64 )
      set( casa_packages /usr/lib64/casapy )
      if( NOT arch )
         set( arch linux_64b )
      endif()
      add_definitions( -DAIPS_64B )
      set( DEFAULT_CXX_FLAGS "${DEFAULT_CXX_FLAGS} -Wno-deprecated" )
   else()
      set( casa_packages /usr/lib/casapy )
      if( NOT arch )
         set( arch linux_gnu )
      endif()
      set( DEFAULT_CXX_FLAGS "${DEFAULT_CXX_FLAGS} -Wno-deprecated -Woverloaded-virtual" )
   endif()
endif()
message( STATUS "arch = " ${arch} )

# set root directory for installation
set( CMAKE_INSTALL_PREFIX ${casaroot}/${arch} )
message( STATUS "CMAKE_INSTALL_PREFIX = " ${CMAKE_INSTALL_PREFIX} )

# set flags for cpp compiler
set( CMAKE_CXX_FLAGS ${DEFAULT_CXX_FLAGS} )


#
# DL
#
set( DL_LIBRARIES ${CMAKE_DL_LIBS} CACHE STRING "dl libraries" FORCE )
if( DL_LIBRARIES STREQUAL "dl" )
  set( DL_LIBRARIES "-ldl" CACHE STRING "dl libraries" FORCE )
endif()
message( STATUS "DL_LIBRARIES = " ${DL_LIBRARIES} )


#
# BLAS
#
find_library( BLAS_LIBRARIES libblas.${SO} )
if ( BLAS_LIBRARIES MATCHES "NOTFOUND$" )
   message( FATAL_ERROR "blas could not be found. Please check!" )
endif()
message( STATUS "BLAS_LIBRARIES = " ${BLAS_LIBRARIES} )


#
# LAPACK
#
find_library( LAPACK_LIBRARIES liblapack.${SO} )
if ( LAPACK_LIBRARIES MATCHES "NOTFOUND$" )
   message( FATAL_ERROR "lapack could not be found. Please check!" )
endif()
message( STATUS "LAPACK_LIBRARIES = " ${LAPACK_LIBRARIES} ) 


#
# casacore
#
unset( CASACORE_INCLUDE_DIR CACHE )
unset( CASACORE_LIBRARIES CACHE )
if( NOT USE_LIBCASACORE )
   # use casacore libraries 
   set( _includename casa/aipsdef.h )
   find_path( CASACORE_INCLUDE_DIR ${_includename} 
              HINTS ${casaroot}/${arch}/include/
              PATH_SUFFIXES casacore ) 
   if( CASACORE_INCLUDE_DIR MATCHES "NOTFOUND$" )
     message( FATAL_ERROR "${_includename} could not be found. Please check!" )
   endif()
   set( CASACORE_LIBS casa
                      components
                      coordinates
                      fits
                      images
                      lattices
                      measures
                      mirlib
                      ms
                      msfits
                      scimath
                      scimath_f
                      tables )
   set( _casacore_libs "" )
   foreach( _a ${CASACORE_LIBS} )
      set( _libname libcasa_${_a}.${SO} )
      unset( _casacore_lib CACHE )
      find_library( _casacore_lib ${_libname}
                    PATHS ${CMAKE_INSTALL_PREFIX} PATH_SUFFIXES lib )
      if( _casacore_lib MATCHES "NOTFOUND$" )
         message( FATAL_ERROR "${_libname} could not be found. Please check!" )
      else()
         #list( APPEND _casacore_libs casa_${_a} )
         list( APPEND _casacore_libs ${_casacore_lib} )
      endif()
   endforeach()
   set( CASACORE_LIBRARIES ${_casacore_libs} )
else()
   # use libcasacore
   set( _libname libcasacore.${SO} )
   find_library( CASACORE_LIBRARIES ${_libname} )
   if( CASACORE_LIBRARIES MATCHES "NOTFOUND$" )
      message( FATAL_ERROR "${_libname} could not be found. Please check!" )
   endif()
   set( _includename casa/aipsdef.h )
   find_path( CASACORE_INCLUDE_DIR ${_includename} 
              PATH_SUFFIXES casacore ) 
   if( CASACORE_INCLUDE_DIR MATCHES "NOTFOUND$" )
     message( FATAL_ERROR "${_includename} could not be found. Please check!" )
   endif()
endif()
message( STATUS "CASACORE_LIBRARIES = " ${CASACORE_LIBRARIES} )
message( STATUS "CASACORE_INCLUDE_DIR = " ${CASACORE_INCLUDE_DIR} )
unset( USE_LIBCASACORE CACHE )

#
# Python
#
if( NOT PYTHON_FOUND )

  if ( NOT PYTHON_LIBNAME )
    set( _names 2.9 2.8 2.7 2.6 2.5.2 2.5 )
    # (The library named libpython.2.5.2.dylib seems to exist only in the CASA world.)
  else()
    set( _names ${PYTHON_LIBNAME} )
  endif()

  set( _found False )
  foreach( _v ${_names} )

    casa_find( 
      PYTHON${_v} 
      LIBS python${_v} 
      NO_REQUIRE 
      )

    if( PYTHON${_v}_FOUND )
      set( PYTHON_LIBNAME ${_v} )
      set( _found True )
      break()
    endif()

  endforeach()
  
  if( NOT _found )
    message( FATAL_ERROR "Could not find any PYTHON library with version one of ${_names}. Please check!" )
  endif()

endif()

if( NOT PYTHON_LIBNAME )
  # Found Python, but PYTHON_LIBNAME is undefined, that is impossible.
  message( FATAL_ERROR "The variable PYTHON_LIBNAME is undefined. Most likely, CMake's cache is out of date and you need to redetect your PYTHON installation (\"cmake -U PYTHON*\")")
endif()

string( SUBSTRING ${PYTHON_LIBNAME} 0 3 PYTHONV )
string( REPLACE "." "" PV ${PYTHONV} )
set( python_library python${PYTHON_LIBNAME} )

# Form the Python install prefix by stripping away "lib/libpython2.5.2.dylib" (example) from 
# the full python library path
string( REGEX MATCH "/lib(64)?/lib${python_library}" _match ${PYTHON${PYTHON_LIBNAME}_LIBRARIES} )
if( _match )
  string( REGEX REPLACE "/lib(64)?/lib${python_library}.*" "" python_prefix ${PYTHON${PYTHON_LIBNAME}_LIBRARIES} )
else()
  # Python library was not in a lib(64) directory!
  message( WARNING "Python library path \"${PYTHON${PYTHON_LIBNAME}_LIBRARIES}\" does not contain \"/lib(64)/lib${python_library}\"" )
  set( python_prefix ${casa_packages} )
endif()

# The python version and prefix is known, do the actual search
if( NOT PYTHON_FOUND )
  message( STATUS "Looking for PYTHON version ${PYTHONV}.x in ${python_prefix}" )
endif()

casa_find( PYTHON
  VERSION 2.5    # minimum required
  INCLUDES Python.h 
     numpy/npy_interrupt.h   # for numpy
  INCLUDES_SUFFIXES python${PYTHONV}
  PREFIX_HINTS 
     ${python_prefix}/lib/python${PYTHONV}/site-packages/numpy/core
     ${python_prefix}/Library/Frameworks/Python.framework/Versions/${PYTHONV}
     ${python_prefix}/Library/Frameworks/Python.framework/Versions/${PYTHONV}/lib/python${PYTHONV}/site-packages/numpy/core
  LIBS ${python_library}
  CPP_VERSION PY_VERSION )

# Store PYTHON_LIBNAME in the cache
set( PYTHON_LIBNAME ${PYTHON_LIBNAME} CACHE STRING "Python major and minor version to use" FORCE )

# Define pyroot to two directory levels above Python.h.
string( REGEX REPLACE "/[^/]+/[^/]+/?$" "" pyroot ${PYTHON_Python.h} )

message( STATUS "PYTHON_INCLUDE_DIRS = " ${PYTHON_INCLUDE_DIRS} )
message( STATUS "PYTHON_LINRARIES = " ${PYTHON_LIBRARIES} )
message( STATUS "PYTHONV = " ${PYTHONV} )

set( PYTHON_DEFINITIONS ${PYTHON_DEFINITIONS}
  -DAIPSROOT=\"${CMAKE_SOURCE_DIR}\"
  -DAIPSARCH=\"${arch}\"
  -DAIPSSITE=\"garching\"
  -DPYTHONROOT=\"${pyroot}\"
  -DPYTHONVER=\"${PYTHONV}\"
  -DPYVERSION=${PV} )


#
# Boost
#
if( NOT BOOST_ROOT )
   set( BOOST_ROOT ${casa_packages} )
endif()

set( boost_components python )
find_package( Boost REQUIRED ${boost_components} )
if( NOT Boost_FOUND )
  message( FATAL_ERROR "Boost could not be found. Please check!" )
endif()
message( STATUS "BOOST_INCLUDE_DIR = " ${Boost_INCLUDE_DIR} )
message( STATUS "BOOST_LIBRARIES = " ${Boost_LIBRARIES} )


#
# cfitsio
#
casa_find( CFITSIO
           VERSION 3.006
           INCLUDES fitsio.h fitsio2.h
           INCLUDES_SUFFIXES cfitsio
           LIBS cfitsio
           CPP_VERSION CFITSIO_VERSION
           RUN_VERSION "(ffvers(&v), v)" )
#if( NOT CFITSIO_FOUND )
#   message( FATAL_ERROR "CFITSIO could not be found. Please check!" )
#endif()
message( STATUS "CFITSIO_INCLUDE_DIRS = " ${CFITSIO_INCLUDE_DIRS} )
message( STATUS "CFITSIO_LIBRARIES = " ${CFITSIO_LIBRARIES} )


#
# wcslib
#
set( _wcslib libwcs.${SO} )
set( _wcs_version 4.3 )
find_library( WCSLIB ${_wcslib} 
              HINTS /usr/lib64 /usr/lib ${casaroot}/${arch}/lib )
if( WCSLIB MATCHES "NOTFOUND$" )
   message( STATUS "${_wcslib} could not be found." )
   unset( _wcslib CACHE )
   unset( WCSLIB CACHE ) 
   set( _wcslib libwcs.${_wcs_version}.${SO} )
   message( STATUS "Try to find ${_wcslib}..." )
   find_library( WCSLIB ${_wcslib} 
                 HINTS /usr/lib64 /usr/lib ${casaroot}/${arch}/lib )
   if( WCSLIB MATCHES "NOTFOUND$" )
      message( FATAL_ERROR "${_wcslib} could not be found. Please check!" )
   endif()
endif()
message( STATUS "WCSLIB = " ${WCSLIB} )
find_path( WCSLIB_INCLUDE_DIR wcslib/wcs.h
           HINTS /usr/include ${casaroot}/${arch}/include )
if( WCSLIB_INCLUDE_DIR MATCHES "NOTFOUND$" )
   message( FATAL_ERROR "wcs.h could not be found. Please check!" )
endif()
message( STATUS "WCSLIB_INCLUDE_DIR = " ${WCSLIB_INCLUDE_DIR} )


#
# RPFITS (Fortran)
#
if( NOT FORTRAN_LIBRARIES )

  message( STATUS "Looking for Fortran runtime libraries" )
  set( _try  ${CMAKE_BINARY_DIR}/try_fortran.cc )
  file( WRITE ${_try}
    "int main() { return 0; }\n"
    )
  
  if( _gfortran_lib_path )

=== packages/invirt-autoinstaller/debian/changelog ===
invirt-autoinstaller (0.0.5) unstable; urgency=low

  * Install Debian and Ubuntu compatible kernels without checking first

 -- Evan Broder <broder@mit.edu>  Wed, 19 Nov 2008 20:51:20 -0500

invirt-autoinstaller (0.0.4) unstable; urgency=low

  * Figure out whether the autoinstaller is running on Debian or Ubuntu,
    and install an appropriate kernel

 -- Evan Broder <broder@mit.edu>  Wed, 19 Nov 2008 19:53:25 -0500

invirt-autoinstaller (0.0.3) unstable; urgency=low

  * Whoops - replace the right string in /etc/rc.local

 -- Evan Broder <broder@mit.edu>  Fri, 14 Nov 2008 01:59:11 -0500

invirt-autoinstaller (0.0.2) unstable; urgency=low

  * Add hook to turn off checksumming in guests

 -- Evan Broder <broder@mit.edu>  Fri, 14 Nov 2008 01:19:21 -0500

invirt-autoinstaller (0.0.1) unstable; urgency=low

  * sipb-xen-autoinstaler -> invirt-autoinstaller
  * Punt DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:47:25 -0400

sipb-xen-autoinstaller (2.11) unstable; urgency=low

  * sipb-xen-dom0 -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 18:18:51 -0400

sipb-xen-autoinstaller (2.10) unstable; urgency=low

  * Hide misleading harmless error message from dmsetup
  * Start udev in guest, so /dev/hda[12] appear automatically
  * understand 'noinstall=' rather than 'noinstall', so validator on
    remote accepts it

 -- Greg Price <price@mit.edu>  Sun, 19 Oct 2008 21:26:31 -0400

sipb-xen-autoinstaller (2.9) unstable; urgency=low

  * Run xen-create-image with --verbose so you actually get useful
    output

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 19:25:14 -0400

sipb-xen-autoinstaller (2.8) unstable; urgency=low

  * Correctly evaluate the kernel command line to deal with weird
    potential quoting issues

 -- Evan Broder <broder@mit.edu>  Mon, 13 Oct 2008 21:18:22 -0400

sipb-xen-autoinstaller (2.7) unstable; urgency=low

  * Skip kpartx call when running on physical devices

 -- Evan Broder <broder@mit.edu>  Tue, 07 Oct 2008 00:25:18 -0400

sipb-xen-autoinstaller (2.6) unstable; urgency=low

  * Update dependencies for Hardy

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:22:08 -0400

sipb-xen-autoinstaller (2.5) unstable; urgency=low

  * Add sipb-xen-autoinstaller-host binary package
  * Put common files in both binary packages
  * Add beginnings of an installer script in -host package

 -- Greg Price <price@mit.edu>  Sun, 28 Sep 2008 17:07:51 -0400

sipb-xen-autoinstaller (2.4) unstable; urgency=low

  * Switch to using just sipb-database options on the host

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Mon, 28 Jul 2008 03:18:00 -0400

sipb-xen-autoinstaller (2.3) unstable; urgency=low

  * Fix a couple bugs.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Mon, 28 Jul 2008 01:06:18 -0400

sipb-xen-autoinstaller (2.2) unstable; urgency=low

  * Divert /etc/init.d/rcS

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Mon, 28 Jul 2008 00:28:54 -0400

sipb-xen-autoinstaller (2.1) unstable; urgency=low

  * Updates to the dependency lists.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Mon, 28 Jul 2008 00:02:39 -0400

sipb-xen-autoinstaller (2.0) unstable; urgency=low

  * Move the autoinstall inside a VM.

 -- Eric Price <ecprice@mit.edu>  Sun, 27 Jul 2008 23:47:02 -0400

sipb-xen-guest-installer (1.4) unstable; urgency=low

  * sipb-xen-install, using xen-create-image, which uses debootstrap
    (ecprice, neboat, and me, weeks ago)

 -- Greg Price <price@mit.edu>  Wed, 23 Jul 2008 01:15:58 -0400

sipb-xen-guest-installer (1.3) unstable; urgency=low

  * Change sipb-xen-lvcopy so that it fails if you try to clone
    anything but ice3

 -- Evan Broder <broder@mit.edu>  Sat, 31 May 2008 13:38:37 -0700

sipb-xen-guest-installer (1.2) unstable; urgency=low

  * Work around bug in Python subprocess.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Thu, 15 May 2008 18:46:57 -0400

sipb-xen-guest-installer (1.1) unstable; urgency=low

  * All the changes since last October.  In particular:
  * This system is in "production", using sx-lvcopy to replicate
    a golden image on user request and frob it as necessary.

 -- Greg Price <price@mit.edu>  Thu,  1 May 2008 01:09:11 -0400

sipb-xen-guest-installer (1.0) unstable; urgency=low

  * Initial release.

 -- Greg Price <price@mega-man.mit.edu>  Tue, 16 Oct 2007 03:01:08 -0400

=== packages/invirt-database-server/debian/changelog ===
invirt-database-server (0.0.8) unstable; urgency=low

  * pg_hba.conf: remove password-auth localhost lines, which interfere
    with the case where config.db.host is localhost.

 -- Greg Price <price@mit.edu>  Mon, 29 Dec 2008 00:03:36 -0500

invirt-database-server (0.0.7) unstable; urgency=low

  * Don't depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:49:30 -0500

invirt-database-server (0.0.6) unstable; urgency=low

  * Depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:47:17 -0500

invirt-database-server (0.0.5) unstable; urgency=low

  * Use invoke-rc.d instead of calling init scripts directly

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:26:30 -0400

invirt-database-server (0.0.4) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:20 -0400

invirt-database-server (0.0.3) unstable; urgency=low

  * Fix a typo on the postfix.conf.invirt transform script
  * Postgres will try to intelligently select a port. We don't want it to
    do that - force the port to our standard number

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:50:02 -0400

invirt-database-server (0.0.2) unstable; urgency=low

  * Catch one dependency that wasn't updated

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:25:58 -0400

invirt-database-server (0.0.1) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database
  * sipb-xen-database-server -> invirt-database-server (a separate source package)
  * sipb-xen-database-client -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400

sipb-xen-database (10.36.1) unstable; urgency=low

  * Typo in the new tables

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 15:01:47 -0400

sipb-xen-database (10.36) unstable; urgency=low

  * Kill the remnants of the sipb_xen_database package
  * Add the CDROM mirrors table

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:48:32 -0400

sipb-xen-database (10.35) unstable; urgency=low

  * Shorten initscript with spiffy new library from sipb-xen-base

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:25:56 -0400

sipb-xen-database (10.34) unstable; urgency=low

  * yet another new-sqlalchemy fix, this one post-0.4.2

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:02:46 -0400

sipb-xen-database (10.33) unstable; urgency=low

  * Catch calls to restart Postgres and translate them into a sequential
    stop, then start

 -- Evan Broder <broder@mit.edu>  Mon, 20 Oct 2008 13:05:29 -0400

sipb-xen-database (10.32) unstable; urgency=low

  * invirt.database.clear_cache should actually do something

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 02:02:37 -0400

sipb-xen-database (10.31) unstable; urgency=low

  * Database-managed VMs should never even think about bridging

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:46:45 -0400

sipb-xen-database (10.30.4) unstable; urgency=low

  * Fix a typo in the CDROM image path

 -- Evan Broder <broder@mit.edu>  Wed, 15 Oct 2008 13:21:10 -0400

sipb-xen-database (10.30.3) unstable; urgency=low

  * fix copy-paste errors in initscript: this is database, not console
  * fix "typo" in initscript for package name printed in logs

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:50:11 -0700

sipb-xen-database (10.30.2) unstable; urgency=low

  * Fix a typo in the CDROM lookup in sipb-database

 -- Evan Broder <broder@mit.edu>  Sat, 11 Oct 2008 19:17:05 -0400

sipb-xen-database (10.30.1) unstable; urgency=low

  * Don't strip quotes that won't be there

 -- Evan Broder <broder@mit.edu>  Fri, 10 Oct 2008 01:48:48 -0400

sipb-xen-database (10.30) unstable; urgency=low

  * Look for CD images in /dev/xenvg/image_* and validate image name from
    the database
  * Pass the installer arguments unaltered to the kernel, matching the
    remctl interface

 -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 02:09:42 -0400

sipb-xen-database (10.29) unstable; urgency=low

  * Some fixes in the sipb-database script

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:55:24 -0400

sipb-xen-database (10.28) unstable; urgency=low

  * Re-establish the database connection if the server goes AWOL

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:19:59 -0400

sipb-xen-database (10.27) unstable; urgency=low

  * Update sipb-database to work with newer SQLAlchemy and Xen

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 20:08:16 -0400

sipb-xen-database (10.26.1) unstable; urgency=low

  * We want autoflush off, too

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 19:22:12 -0400

sipb-xen-database (10.26) unstable; urgency=low

  * Disable transactions by default

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:40:34 -0400

sipb-xen-database (10.25) unstable; urgency=low

  * add remote and console to pg_hba.conf template
  * fix init script so it works
  * port more code to sqlalchemy 0.4

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:30:26 -0400

sipb-xen-database (10.24) unstable; urgency=low

  * Update postgresql.conf for Hardy

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 03:12:36 -0400

sipb-xen-database (10.23) unstable; urgency=low

  * switch to postgresql 8.3, as 8.1 isn't in hardy

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 02:09:43 -0400

sipb-xen-database (10.22) unstable; urgency=low

  * depend on postgresql without specifying old version 8.1

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:55:49 -0400

sipb-xen-database (10.21) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:50:25 -0400

sipb-xen-database (10.20) hardy; urgency=low

  * port to sqlalchemy-0.4, which cuts out some newly deprecated
    interfaces and allowed some still-present interfaces to bitrot

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:06:21 +0000

sipb-xen-database (10.19) unstable; urgency=low



=== packages/invirt-database/debian/changelog ===
invirt-database (0.1.2) unstable; urgency=low

  * Clean up the .egg-info directory from the right place.

 -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:50:47 -0500

invirt-database (0.1.1) unstable; urgency=low

  * Correct a lintian spelling warning.

 -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:40:44 -0500

invirt-database (0.1.0) unstable; urgency=low

  * Turn on lazy loading for all tables

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 21:57:35 -0500

invirt-database (0.0.6) unstable; urgency=low

  * Let machines.administrator be NULL

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:41:48 -0500

invirt-database (0.0.5) unstable; urgency=low

  * Add an architecture field to the autoinstaller table

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 12:18:02 -0500

invirt-database (0.0.3) unstable; urgency=low

  * Add attributes to the ORM objects to connect mirrors and cdroms

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:16:18 -0400

invirt-database (0.0.2) unstable; urgency=low

  * Export mirrors_table and Mirrors from invirt.database.models

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:04:54 -0400

invirt-database (0.0.1) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database
  * sipb-xen-database-server -> invirt-database-server (a separate source package)
  * sipb-xen-database-client -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400

=== packages/invirt-remote/debian/changelog ===
invirt-remote (0.2.2) unstable; urgency=low

  * config.{authn[0] => kerberos}.realm

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:18:45 -0500

invirt-remote (0.2.1) unstable; urgency=low

  * Be sure to create /etc/remctl/remconffs

 -- Evan Broder <broder@mit.edu>  Mon, 08 Dec 2008 09:25:43 -0500

invirt-remote (0.2.0) unstable; urgency=low

  * Merge invirt-remote-server and invirt-remote-host into invirt-remote
    (LP: #305682)

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 18:33:59 -0500

invirt-remote-server (0.1.6) unstable; urgency=low

  * Fix a gen_config -> gen_files

 -- Greg Price <price@mit.edu>  Sat, 22 Nov 2008 19:27:36 -0500

invirt-remote-server (0.1.5) unstable; urgency=low

  * Fix a typo in calling /lib/init/gen-files.sh

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:43:06 -0500

invirt-remote-server (0.1.4) unstable; urgency=low

  * Steal some init script ideas from debathena-pyhesiodfs

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:31:49 -0500

invirt-remote-server (0.1.3) unstable; urgency=low

  * Switched to using "raw" select expressions instead of using the ORM;
    allows the same speed as the old object-based system but without any
    caching necessary.

 -- Quentin Smith <quentin@mit.edu>  Fri, 21 Nov 2008 04:15:50 -0500

invirt-remote-server (0.1.2) unstable; urgency=low

  * Update remctl help with new reboot functionality

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 10:57:39 -0500

invirt-remote-server (0.1.1) unstable; urgency=low

  * Now that we're doing real caching, cache for less time

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:18:23 -0500

invirt-remote-server (0.1.0) unstable; urgency=low

  * Add real caching to remconffs

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:05:32 -0500

invirt-remote-server (0.0.18) unstable; urgency=low

  * Add a "help" command for the control remctl

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 19:02:19 -0500

invirt-remote-server (0.0.17) unstable; urgency=low

  * Get the host with the most RAM based on the maximum recoverable
    memory, not the memory currently available to Xen

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 10:30:10 -0500

invirt-remote-server (0.0.16) unstable; urgency=low

  * When returning from a bcast, put together the stdout, not the stderr

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 16:19:33 -0500

invirt-remote-server (0.0.15) unstable; urgency=low

  * Include invirt.remote Python module
  * Ignore erroneous responses from a server if it's because the server is
    down

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 15:19:28 -0500

invirt-remote-server (0.0.14) unstable; urgency=low

  * Don't depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:51:19 -0500

invirt-remote-server (0.0.13) unstable; urgency=low

  * Depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:49:27 -0500

invirt-remote-server (0.0.12) unstable; urgency=low

  * shorten initscript with std-init, correct the usage message

 -- Greg Price <price@mit.edu>  Wed, 05 Nov 2008 19:59:18 -0500

invirt-remote-server (0.0.11) unstable; urgency=low

  * Don't proxy requests for the VNC cert if the requested hostname isn't
    an Invirt host

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:17:10 -0400

invirt-remote-server (0.0.10) unstable; urgency=low

  * All remctls of type 'web' have the same ACL - glob them together

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:05:42 -0400

invirt-remote-server (0.0.9) unstable; urgency=low

  * Add support for a `web vnccert` remctl call

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 22:45:29 -0400

invirt-remote-server (0.0.8) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:32 -0400

invirt-remote-server (0.0.7) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:03:13 -0400

invirt-remote-server (0.0.6) unstable; urgency=low

  * Remove dependency on sipb-xen-chrony-config - we need to take care of
    the clock, but chrony isn't the right answer

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:16:08 -0400

invirt-remote-server (0.0.5) unstable; urgency=low

  * Rename a remaining sipb-xen file to invirt

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 22:21:30 -0400

invirt-remote-server (0.0.4) unstable; urgency=low

  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:49:45 -0400

invirt-remote-server (0.0.3) unstable; urgency=low

  * Standardize on "Invirt project"

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:33:25 -0400

invirt-remote-server (0.0.2) unstable; urgency=low

  * oops, update control from control.in
  * configurize web acl

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 00:28:08 -0400

invirt-remote-server (0.0.1) unstable; urgency=low

  * sipb-xen -> invirt

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:58:36 -0400

sipb-xen-remote-server (0.10.2) unstable; urgency=low

  * There's a race condition for if the VM gets powered off between the
    listvms and the actual request. Solve the problem correctly by using a
    non-conflicting error code to indicate an invalid command

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:46:38 -0400

sipb-xen-remote-server (0.10.1) unstable; urgency=low

  * Make both list-host and listhost valid commands, and for parity with
    list-long, document list-host

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:36:32 -0400

sipb-xen-remote-server (0.10) unstable; urgency=low

  * If a command is invalid, but the machine's on, give an actually useful
    error message

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:29:50 -0400

sipb-xen-remote-server (0.9.2) unstable; urgency=low

  * Expose an interface to the autoinstaller over remctl


=== packages/invirt-vnc-server/debian/changelog ===
invirt-vnc-server (0.0.6) unstable; urgency=low

  * Include the VNC host and port in the authentication token

 -- Quentin Smith <quentin@mit.edu>  Thu, 08 Jan 2009 16:15:46 -0500

invirt-vnc-server (0.0.5) unstable; urgency=low

  * Use the generated certificate instead of the old /usr/share location

 -- Evan Broder <broder@mit.edu>  Tue, 04 Nov 2008 04:23:51 -0500

invirt-vnc-server (0.0.4) unstable; urgency=low

  * Deprecate /etc/invirt/secrets in favor of /etc/invirt/vnc
  * Include the hostname in the generated SSL certs so that the Java
    keytool will accept them

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:59:57 -0400

invirt-vnc-server (0.0.3) unstable; urgency=low

  * Fix a typo in the new init script

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 22:58:59 -0400

invirt-vnc-server (0.0.2) unstable; urgency=low

  * Cleanup the init script to use /lib/init/std-init.sh
  * Generate the SSL certificates at install-time
  * File reads are cheap. Especially when the file is short. Don't cache
    the token key

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 22:48:24 -0400

invirt-vnc-server (0.0.1) unstable; urgency=low

  * sipb-xen-vnc-server -> invirt-vnc-server
  * Generate the VNC token key at install-time instead of hard-coding
  * Add a script for generating VNC auth tokens, to be exposed over remctl

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 19:45:35 -0400

sipb-xen-vnc-server (1.2) unstable; urgency=low

  * Move certificate files into /usr/share/sipb-xen-vnc-server
  * Switch to distutils-based package

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 15:07:33 -0400

sipb-xen-vnc-server (1.1) unstable; urgency=low

  * Update dependencies for Hardy

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 22:16:32 -0400

sipb-xen-vnc-server (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 19:28:22 -0500

=== packages/xvm-iscsi-config/debian/changelog ===
xvm-iscsi-config (0.0.6) unstable; urgency=low

  * tweak initscript to emit log messages correctly

 -- Greg Price <price@mit.edu>  Sun, 28 Dec 2008 02:49:37 -0500

xvm-iscsi-config (0.0.5) unstable; urgency=low

  * check automatically if settings changed in postinst,
    print "restart iscsi" message only if they did
  * don't fail in prerm if /etc/invirt/conf.d/iscsi missing

 -- Greg Price <price@mit.edu>  Sun, 28 Dec 2008 00:58:01 -0500

xvm-iscsi-config (0.0.4) unstable; urgency=low

  * don't restart iscsi on upgrade, only first install

 -- Greg Price <price@mit.edu>  Sun, 28 Dec 2008 00:24:41 -0500

xvm-iscsi-config (0.0.3) unstable; urgency=low

  * Forget invirt-storage-config

 -- Greg Price <price@mit.edu>  Sat, 27 Dec 2008 00:37:37 -0500

xvm-iscsi-config (0.0.2) unstable; urgency=low

  * Use bash for init script

 -- Evan Broder <broder@mit.edu>  Tue, 04 Nov 2008 04:22:56 -0500

xvm-iscsi-config (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Evan Broder <broder@mit.edu>  Thu, 23 Oct 2008 22:16:55 -0400

=== packages/invirt-dhcp/debian/control ===
Source: invirt-dhcp
Section: base
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
Standards-Version: 3.8.0

Package: invirt-dhcp
Architecture: all
Depends: ${misc:Depends}, daemon, invirt-database, python-pydhcplib (>= 0.3.2-1), invirt-base
Description: Install and enable the DHCP server

=== packages/invirt-base/debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

binary-fixup/invirt-base::
	mv $(DEB_DESTDIR)usr/bin/invirt-reload $(DEB_DESTDIR)usr/sbin/invirt-reload

clean::
	rm -rf python/invirt.egg-info

=== packages/invirt-console/debian/rules ===
#!/usr/bin/make -f

DEB_DIVERT_EXTENSION = .invirt
DEB_TRANSFORM_FILES_invirt-console-server += \
	/etc/init.d/bootmisc.sh.invirt \
	/etc/nsswitch.conf.invirt \
	/etc/nscd.conf.invirt \
	/etc/pam.d/sshd.invirt \
	/etc/ssh/sshd_config.debathena.invirt

ifneq ($(wildcard /usr/share/base-files/nsswitch.conf),)
    DEB_CHECK_FILES_SOURCE_/etc/nsswitch.conf.invirt = \
        /usr/share/base-files/nsswitch.conf
endif

DEB_DIVERT_FILES_invirt-console-server += \
	/etc/conserver/conserver.cf.invirt \
	/etc/motd.invirt
DEB_DIVERT_FILES_invirt-console-host += \
	/etc/conserver/conserver.cf.invirt \
	/etc/conserver/server.conf.invirt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/config-package.mk

=== packages/libapache2-mod-auth-sslcert/debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_AUTOCONF = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_MAKE_BUILD_TARGET = .libs/mod_auth_sslcert.so APXS="apxs2"
DEB_MAKE_INSTALL_TARGET = 

clean::
	rm -f configure
